:root {
    --custom-node-default-border-color: var(--mud-palette-lines-default);
    --custom-node-choice-border-color: #62c3a7;
    --custom-node-skillcheck-border-color: #1f8eca;
}

html, body {
    height: 100%;
}

.text-ellipsis {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    min-width: 0;
}

/*To override MudBlazor's hardcoded icon size in menus*/
.editor-compact-menu .mud-menu-item .mud-menu-item-icon.mud-icon-size-medium {
    font-size: 0.875rem !important;
}
